Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor
Class VisualEditorCashed

    java.lang.Object
      java.beans.PropertyEditorSupport
          datechooser.beans.editor.VisualEditor
              datechooser.beans.editor.VisualEditorCashed

All Implemented Interfaces:
  java.beans.PropertyEditor

Direct Known Subclasses:
  AppearEditor, BackRendererEditor, CellViewEditor, DateEditor, LocaleEditor, PeriodsEditor, SimpleBorderEditor, SimpleColorEditor, SimpleDimensionEditor, SimpleFontEditor

    public abstract class VisualEditorCashed

extends VisualEditor

Superclass for all visual properties editors in this library. Caches editor component. To turn caching off your editor must extend VisualEditor.
Предок для всех редакторов, имеющих визуальный пользовательский редактор. Визуальный редактор кешируется. Для отключения кеширования просто поменяйте предка своего редактора на VisualEditor.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `VisualEditor`

Constructor Summary
`VisualEditorCashed()`

Method Summary
`javax.swing.JComponent` | `getCustomEditor()`
`protected javax.swing.JComponent` | `getEditorCash()`
`protected void` | `setEditorCash(javax.swing.JComponent editor)`

Methods inherited from class datechooser.beans.editor.VisualEditor
`createEditor, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisualEditorCashed

    public VisualEditorCashed()

Method Detail

### getEditorCash

    protected javax.swing.JComponent getEditorCash()

### setEditorCash

    protected void setEditorCash(javax.swing.JComponent editor)

### getCustomEditor

    public javax.swing.JComponent getCustomEditor()

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `VisualEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD